Bug 218317 - mod_proxy: ProxyRemoteMatch uses remote proxy if regex does *not* match
mod_proxy: ProxyRemoteMatch uses remote proxy if regex does *not* match
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks: 190430 464492
  Show dependency treegraph
 
Reported: 2006-12-04 12:08 EST by OGINO Tomonori
Modified: 2008-09-29 08:39 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0445
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 14:42:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache Bugzilla 33170 None None None Never

  None (edit)
Description OGINO Tomonori 2006-12-04 12:08:20 EST
Description of problem:
ProxyRemoteMatch uses remote proxy if regex does *not* match.
This bug fixed in apache-2.0.53 or above are not fixed in RHEL3.
See further details:"ASF Bugzilla Bug#33170" .
http://issues.apache.org/bugzilla/show_bug.cgi?id=33170

Version-Release number of selected component (if applicable):
httpd-2.0.46-61.ent

How reproducible:
Always

Steps to Reproduce:
1. Set up apache as forward proxy & ProxyRemoteMatch directives in "httpd.conf".
2. Open the url matches ProxyRemoteMatch "regex" via this proxy.


Actual results:
This proxy do NOT use ProxyRemoteMatch "remoteproxy".

Expected results:
This proxy uses ProxyRemoteMatch "remoteproxy".


Additional info:
Changes with Apache 2.0.53
  *) mod_proxy: Fix ProxyRemoteMatch directive.  PR 33170.
     [Rici Lake <rici ricilake.net>]
Comment 1 Joe Orton 2006-12-14 10:57:38 EST
Thanks for the report.
Comment 7 Red Hat Bugzilla 2007-06-11 14:42:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0445.html

Note You need to log in before you can comment on or make changes to this bug.